body {
    overflow: hidden;
    background-color: #cfaf7c;
}

.content {
    font-family: Arial, Helvetica, sans-serif;
    --map-transform: scale(1);
}

.content::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url(map-background.png);
    background-size: auto 100%;
    background-repeat: no-repeat;
    background-position: center;
    z-index: -1;
    transform: var(--map-transform);
    transition: all 2.5s ease-in-out;
}

.top-bar {
    top: 0px;
    left: 0px;
    position: absolute;
    width: 100%;
    display: flex;
    backdrop-filter: blur(10px);
    background-color: rgba(255, 255, 255, 0.75);
    color: black;
    justify-content: space-between;
    isolation: isolate;
}

.window {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 6px;
    width: 300px;
    background-color: white;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.5);
    z-index: 1;
}

.windowheader {
    width: 100%;
    display: flex;
    align-items: center;
    cursor: grab;
    justify-content: space-between;
    padding-top: 8px;
    padding-bottom: 8px;
    background-color: rgba(0, 0, 0, 0.25);
}

.window-content {
    background-color: white;
    margin: 6px;
    padding: 16px;
}

.windowclose {
    cursor: pointer;
    width: 10px;
    height: 10px;
    background-color: #FF605C;
    border-radius: 10px;
    border: solid 1px rgba(0, 0, 0, 0.25);
    margin-left: 12px;
}

#traincontainer {
    position: absolute;
    inset: 0;
    margin: auto;
    width: fit-content;
    height: fit-content; 
    display: none;
    justify-items: center;
    align-items: center;
    isolation: isolate;
}

#train {
    margin-bottom: 20px;
    justify-items: center;
    user-select: none;
}

#directions {
    display: flex;
    gap: 50px;
    font-family: cursive;
    user-select: none;
}

.left-direction {
    display: flex;
    gap: 10px;
    background-color: white;
    padding: 10px;
    align-items: center;
    border: 1px solid black;
    border-radius: 28px;
    height: 40px;
    width: 150px;
}

.left-direction:hover {
    border: 1px solid #FF605C;
}

.right-direction {
    display: flex;
    gap: 10px;
    background-color: white;
    padding: 10px;
    align-items: center;
    border: 1px solid black;
    border-radius: 28px;
    height: 40px;
    width: 150px;
}

.right-direction:hover {
    border: 1px solid #FF605C;
}

.disabled {
    border: 1px solid grey;
    color: grey;
}

.disabled:hover {
    border: 1px solid grey;
    color: grey;
}

#map-labels p {
    background-color: rgba(255, 255, 255, 0.75);
    font-family: cursive;
    width: fit-content;
    padding-left: 5px;
    padding-right: 10px;
    user-select: none;
}

.peaks {
    transform: translate(1000px, 600px);
}

.territory {
    transform: translate(500px, 350px);
}

.cove {
    transform: translate(800px, 350px);
}

.waterhole {
    transform: translate(1050px, 300px);
}

.forest {
    transform: translate(550px, 100px);
}

.location-label {
    background-color: rgba(255, 255, 255, 0.75);
    font-family: cursive;
    width: fit-content;
    padding-left: 5px;
    padding-right: 10px;
    user-select: none;
    margin-bottom: 20px;
}


.notes {
    position: absolute;
    display: none;
    user-select: none;
    top: 300px;
    left: 800px;
}

.notesedit:focus {
    outline: none;
}

.notesbutton {
    appearance: none;
    background-color: white;
    border: 1px solid black;
    border-radius: 8px;
    margin-top: 10px;
    padding: 12px;
    cursor: pointer;
}

#notesTitle:focus {
    outline: none;
}

.files {
    position: absolute;
    display: none;
    user-select: none;
    top: 300px;
    left: 500px;
}

#filepath {
    background-color: #a6a6a6;
    padding: 4px;
    border-radius: 4px;
}

#filebar img {
    border: 1px solid black;
    border-radius: 6px;
    padding: 4px;
    cursor: pointer;
}

.internet {
    position: absolute;
    display: none;
    user-select: none;
    top: 300px;
    left: 550px;
}

.todo {
    position: absolute;
    display: none;
    user-select: none;
    top: 300px;
    left: 450px;
}

.todobutton {
    appearance: none;
    background-color: white;
    border: 1px solid black;
    border-radius: 8px;
    margin-bottom: 10px;
    padding: 12px;
    cursor: pointer;
    width: 100%;
}

.todolabel {
    background-color: #a6a6a6;
    border-radius: 8px;
    padding: 8px;
}

.todolabel:focus {
    outline: none;
}

.todocheckbox {
    accent-color: black;
}

.calc {
    position: absolute;
    display: none;
    user-select: none;
    top: 300px;
    left: 850px;
}

.calc-text {
    padding-right: 8px;
    background-color: black;
    font-family: 'Courier New', Courier, monospace;
    border-radius: 8px;
}

.calc-text p {
    width: 100%;
    font-size: 3.5rem;
    text-align: end;
    background: transparent;
    color: white;
    border: none;
    outline: none;
    word-wrap: break-word;
    word-break: break-all;
    margin-top: 0px;
    margin-bottom: 12px;
}

.calc-buttons {
    display: grid;
    grid-template-columns: repeat(4, 25%);
    column-gap: 0px;
}

.calc-buttons button {
    border: 1px solid black;
    font-size: 1.5rem;
    cursor: pointer;
    height: 64px;
}

.calc-buttons button:active,
.calc-buttons button:focus {
    filter: brightness(120%);
}

.key-zero {
    grid-column: span 2;
    width: 100%;
    color: white;
}

.key-operate {
    background: #ff9501;
    color: white;
}

.key-others {
    background: #a6a6a6;
    color: black;
}

.numbers {
    background: #333333;
    color: white;
}


.selected p {
    background-color: blue;
    color: white;
}